package cn.org.zx.common.aop;

import org.aopalliance.intercept.MethodInterceptor;
import org.aopalliance.intercept.MethodInvocation;

public class AroundInterceptor implements MethodInterceptor {

	@Override
	public Object invoke(MethodInvocation invocation) throws Throwable {
		Object objReturn = null;
		
		SQLFilter.filte(invocation);
		
		objReturn = invocation.proceed();
				
		return objReturn;
	}
}
